Bug 821770 - libntlm: Gnulib bundled but no bundled(gnulib) provides
libntlm: Gnulib bundled but no bundled(gnulib) provides
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libntlm (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:54 EDT by Mikolaj Izdebski
Modified: 2013-09-03 18:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: libntlm-1.4-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 18:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-15 09:54:47 EDT
A bundled copy of Gnulib - The GNU Portability Library [1] was found in
libntlm. No Bundled Libraries section [2] of Packaging guidelines
gives more information on bundled libraries and how they should be handled.

Affected libntlm version: libntlm-1.3-2.fc17

As a kind of copylib, Gnulib has been granted an exception. However, to comply
with Packaging guidelines, packages bundling Gnulib must note that the library
has been granted an exception in the spec file comment with a link to the FPC
ticket where the exception was granted and add a virtual provide to the spec
file to note that Gnulib is bundled. Refer to [2] for more details.

No comment about bundling Gnulib and no virtual provide were found in the
libntlm.spec file. To comply with the packaging guideliness please
add an appropriate comment to the spec file as well as a virtual provide.

Source tarball where bundled Gnulib was found:
    libntlm-1.3.tar.gz

At least the following files look like Gnulib files:
    ./libntlm-1.3/gl/m4/00gnulib.m4
    ./libntlm-1.3/gl/tests/Makefile.in
    ./libntlm-1.3/gl/tests/Makefile.am
    ./libntlm-1.3/gl/Makefile.in
    ./libntlm-1.3/gl/Makefile.am
    ./libntlm-1.3/gl/m4/gnulib-comp.m4

There are most likely more Gnulib files bundled in the SRPM. I didn't bother
to list them all as it shouldn't be necessary.


[1] http://www.gnu.org/software/gnulib/
[2] http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Fedora End Of Life 2013-04-03 14:18:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2013-08-06 22:18:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Christopher Meng 2013-08-25 22:37:11 EDT
Seems still bundled.
Comment 4 Fedora Update System 2013-08-25 23:57:20 EDT
libntlm-1.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libntlm-1.4-1.fc19
Comment 5 Fedora Update System 2013-08-26 18:24:12 EDT
Package libntlm-1.4-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libntlm-1.4-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15298/libntlm-1.4-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-03 18:31:01 EDT
libntlm-1.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.